<?php
require_once ("../config/db.php");
require_once ("../config/conexion.php");
include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
// checking for minimum PHP version
if (version_compare(PHP_VERSION, '5.3.7', '<')) {
    exit("Sorry, Simple PHP Login does not run on a PHP version smaller than 5.3.7 !");
}
else if (version_compare(PHP_VERSION, '5.5.0', '<'))
{

}
		if (empty($_POST['tipo']) || empty($_POST['descripcion']))
		{
			$errors[] = "Tipo o descripción vacíos";
		}
		elseif(!empty($_POST['tipo']) && !empty($_POST['descripcion']))
		{
            
			$tipo = mysqli_real_escape_string($con,(strip_tags($_POST["tipo"],ENT_QUOTES)));
			$descripcion = mysqli_real_escape_string($con,(strip_tags($_POST["descripcion"],ENT_QUOTES)));
			$fecha = date("Y-m-d");
            $sql = "SELECT * FROM producto_final WHERE tipo = '" . $tipo . "' AND nombre = '" . $descripcion . "';";
            $query_check = mysqli_query($con,$sql);
            if (!$query_check) {
                $errors[] = "Error en la consulta: " . mysqli_error($con);
            } else {
                $query_check_count = mysqli_num_rows($query_check);
                if ($query_check_count == 1)
                {
                    $errors[] = "Lo sentimos , el producto final ya está registrado.";
                }
                else
                {
                    $sql = "INSERT INTO producto_final (tipo, nombre, date_added) VALUES ('$tipo', '$descripcion', '$fecha');";
                    $query_insert = mysqli_query($con,$sql);
                    if ($query_insert)
                    {
                        $messages[] = "El producto final ha sido creado con éxito.";
                    }
                    else
                    {
                        $errors[] = "Error de MySQL: " . mysqli_error($con);
                    }
                }
            }
        }
		else
		{
            $errors[] = "Un error desconocido ocurrió.";
        }

		if (isset($errors))
		{
		?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
				<strong>Error!</strong>
				<?php
				foreach ($errors as $error)
				{
					echo $error;
				}
				?>
			</div>
		<?php
		}
		if (isset($messages))
		{
		?>
			<div class="alert alert-success" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
				<strong>¡Bien hecho!</strong>
				<?php
				foreach ($messages as $message)
				{
					echo $message;
				}
				?>
			</div>
		<?php
		}
		?>